commit:     b0b2faa4396c6a1ebc87ff6228dfe28cc351353e
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Tue Sep 22 03:00:00 2020 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Thu Sep 24 14:26:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0b2faa4

dev-python/protobuf-python: Apply patches in top-level source directory.

Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache.Org>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 dev-python/protobuf-python/protobuf-python-3.11.4.ebuild | 11 +++++++++--
 dev-python/protobuf-python/protobuf-python-3.12.2.ebuild | 11 +++++++++--
 dev-python/protobuf-python/protobuf-python-3.12.4.ebuild | 11 +++++++++--
 dev-python/protobuf-python/protobuf-python-3.13.0.ebuild |  7 +++++--
 dev-python/protobuf-python/protobuf-python-9999.ebuild   |  7 +++++--
 5 files changed, 37 insertions(+), 10 deletions(-)

diff --git a/dev-python/protobuf-python/protobuf-python-3.11.4.ebuild 
b/dev-python/protobuf-python/protobuf-python-3.11.4.ebuild
index d95a668e36a..0d5203efdc8 100644
--- a/dev-python/protobuf-python/protobuf-python-3.11.4.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.11.4.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="7"
 PYTHON_COMPAT=(python{2_7,3_6,3_7,3_8})
-DISTUTILS_USE_SETUPTOOLS="manual"
+DISTUTILS_USE_SETUPTOOLS="rdepend"
 
 inherit distutils-r1
 
@@ -30,7 +30,6 @@ IUSE=""
 BDEPEND="${PYTHON_DEPS}
        ~dev-libs/protobuf-${PV}
        dev-python/namespace-google[${PYTHON_USEDEP}]
-       dev-python/setuptools[${PYTHON_USEDEP}]
        dev-python/six[${PYTHON_USEDEP}]"
 DEPEND="${PYTHON_DEPS}
        ~dev-libs/protobuf-${PV}"
@@ -43,6 +42,14 @@ if [[ "${PV}" == "9999" ]]; then
        EGIT_CHECKOUT_DIR="${WORKDIR}/protobuf-${PV}"
 fi
 
+python_prepare_all() {
+       pushd "${WORKDIR}/protobuf-${PV}" > /dev/null || die
+       eapply_user
+       popd > /dev/null || die
+
+       distutils-r1_python_prepare_all
+}
+
 python_configure_all() {
        mydistutilsargs=(--cpp_implementation)
 }

diff --git a/dev-python/protobuf-python/protobuf-python-3.12.2.ebuild 
b/dev-python/protobuf-python/protobuf-python-3.12.2.ebuild
index a6ada7b300a..2cd68f6c7fd 100644
--- a/dev-python/protobuf-python/protobuf-python-3.12.2.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.12.2.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="7"
 PYTHON_COMPAT=(python{2_7,3_{6..9}})
-DISTUTILS_USE_SETUPTOOLS="manual"
+DISTUTILS_USE_SETUPTOOLS="rdepend"
 
 inherit distutils-r1
 
@@ -30,7 +30,6 @@ IUSE=""
 BDEPEND="${PYTHON_DEPS}
        ~dev-libs/protobuf-${PV}
        dev-python/namespace-google[${PYTHON_USEDEP}]
-       dev-python/setuptools[${PYTHON_USEDEP}]
        dev-python/six[${PYTHON_USEDEP}]"
 DEPEND="${PYTHON_DEPS}
        ~dev-libs/protobuf-${PV}"
@@ -43,6 +42,14 @@ if [[ "${PV}" == "9999" ]]; then
        EGIT_CHECKOUT_DIR="${WORKDIR}/protobuf-${PV}"
 fi
 
+python_prepare_all() {
+       pushd "${WORKDIR}/protobuf-${PV}" > /dev/null || die
+       eapply_user
+       popd > /dev/null || die
+
+       distutils-r1_python_prepare_all
+}
+
 python_configure_all() {
        mydistutilsargs=(--cpp_implementation)
 }

diff --git a/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild 
b/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild
index 45575c8ab01..9e7ca9ff7d5 100644
--- a/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="7"
 PYTHON_COMPAT=(python{2_7,3_6,3_7,3_8,3_9})
-DISTUTILS_USE_SETUPTOOLS="manual"
+DISTUTILS_USE_SETUPTOOLS="rdepend"
 
 inherit distutils-r1
 
@@ -30,7 +30,6 @@ IUSE=""
 BDEPEND="${PYTHON_DEPS}
        ~dev-libs/protobuf-${PV}
        dev-python/namespace-google[${PYTHON_USEDEP}]
-       dev-python/setuptools[${PYTHON_USEDEP}]
        dev-python/six[${PYTHON_USEDEP}]"
 DEPEND="${PYTHON_DEPS}
        ~dev-libs/protobuf-${PV}"
@@ -43,6 +42,14 @@ if [[ "${PV}" == "9999" ]]; then
        EGIT_CHECKOUT_DIR="${WORKDIR}/protobuf-${PV}"
 fi
 
+python_prepare_all() {
+       pushd "${WORKDIR}/protobuf-${PV}" > /dev/null || die
+       eapply_user
+       popd > /dev/null || die
+
+       distutils-r1_python_prepare_all
+}
+
 python_configure_all() {
        mydistutilsargs=(--cpp_implementation)
 }

diff --git a/dev-python/protobuf-python/protobuf-python-3.13.0.ebuild 
b/dev-python/protobuf-python/protobuf-python-3.13.0.ebuild
index 51f7d5f7b7f..eb481ccd564 100644
--- a/dev-python/protobuf-python/protobuf-python-3.13.0.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.13.0.ebuild
@@ -2,9 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="7"
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
 PYTHON_COMPAT=(python{2_7,3_6,3_7,3_8,3_9})
+DISTUTILS_USE_SETUPTOOLS="rdepend"
 
 inherit distutils-r1
 
@@ -44,6 +43,10 @@ if [[ "${PV}" == "9999" ]]; then
 fi
 
 python_prepare_all() {
+       pushd "${WORKDIR}/protobuf-${PV}" > /dev/null || die
+       eapply_user
+       popd > /dev/null || die
+
        distutils-r1_python_prepare_all
 
        sed -e "/^[[:space:]]*setup_requires = \['wheel'\],$/d" -i setup.py || 
die

diff --git a/dev-python/protobuf-python/protobuf-python-9999.ebuild 
b/dev-python/protobuf-python/protobuf-python-9999.ebuild
index fc808ec3a2a..0007bff057a 100644
--- a/dev-python/protobuf-python/protobuf-python-9999.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-9999.ebuild
@@ -2,9 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="7"
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
 PYTHON_COMPAT=(python{2_7,3_6,3_7,3_8,3_9})
+DISTUTILS_USE_SETUPTOOLS="rdepend"
 
 inherit distutils-r1
 
@@ -44,6 +43,10 @@ if [[ "${PV}" == "9999" ]]; then
 fi
 
 python_prepare_all() {
+       pushd "${WORKDIR}/protobuf-${PV}" > /dev/null || die
+       eapply_user
+       popd > /dev/null || die
+
        distutils-r1_python_prepare_all
 
        sed -e "/^[[:space:]]*setup_requires = \['wheel'\],$/d" -i setup.py || 
die

Reply via email to